Malware, or malicious software, is any program or file that is intentionally designed to be harmful to a computer, server, client, or computer network.
Malware investigations require security teams to reconcile data from multiple malware analysis and threat intelligence tools. Valuable time is lost shuttling between screens and executing repeatable tasks while an attack continues to manifest.
This Malware content pack contains the ‘Endpoint Malware Investigation - Generic’ playbook, that automates response to a malware found on an endpoint. The pack also contains the corresponding custom malware incident fields, views, and layouts to facilitate analyst investigation.  
The Malware playbooks orchestrate across multiple products to extract and enrich IOCs, detonate malicious files, hunt for more IOCs within the organization, and perform remediation on the host.


##### What does this pack do?
The playbooks included in this pack help you save time and automate repetitive tasks associated with malware incidents:
- Create a malware incident within Cortex XSOAR associated with the malware.
- Extract and enrich all relevant indicators from the source alert, including the source endpoint, malicious file, and all related IOCs.
- Retrieve and analyze the malicious file and provide a reputation using your sandbox and threat intelligence integrations.
- Calculate the severity for the incident based on the initial severity provided, indicator reputations, email authenticity checks, and critical assets if any are involved.
- Engage with the analyst regarding potentially harmful tasks such as isolating the source endpoint and other infected endpoints found by the hunting playbook.
- Remediate the incident by blocking malicious indicators.
- Generate an investigation report to document the incident’s details.
 
As part of this pack, you will also get out-of-the-box malware incident type views, with incident classification mapping, fields, and a full layout. All of these are easily customizable to suit the needs of your organization.

_For more information, visit our  [Cortex XSOAR Developer Docs](https://xsoar.pan.dev/docs/reference/playbooks/endpoint-malware-investigation---generic)_

![Endpoint_Malware_Investigation_Generic](https://github.com/demisto/content/raw/ee07059dc8769d6f5652a4a07b668d63266cafaf/Packs/Malware/doc_files/Endpoint_Malware_Investigation_-_Generic_V2.png)
